Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 22/01/2020, à 10:53

Felltor

Impossible de lancer "Logiciels et mises à jour"

Bonjour à tous,

Lorsque que je lance l'application Logiciels et mises à jour depuis l'interface graphique, rien ne se passe. J'ai donc essayé de lancer l'application via la terminal de commande. Voici le retour :

~$ software-properties-gtk
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.ubuntu.SoftwareProperties': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 100, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 158, in __init__
    proxy = bus.get_object("com.ubuntu.SoftwareProperties", "/")
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process com.ubuntu.SoftwareProperties received signal 7

J'ai tenté de réinstaller python et dbus, mais sans succès..
Ma version Ubuntu est la suivante : Ubuntu 18.04.3 LTS


Merci de votre aide,

Hors ligne

#2 Le 22/01/2020, à 11:00

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"

Bonjour,

Donne le retour de :

sudo apt update

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#3 Le 22/01/2020, à 11:07

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Voici :

~$ sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu bionic InRelease
Atteint :2 http://security.ubuntu.com/ubuntu bionic-security InRelease             
Atteint :3 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease                                      
Atteint :4 http://fr.archive.ubuntu.com/ubuntu bionic-backports InRelease                                    
Atteint :5 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease       
Lecture des listes de paquets... Fait                                      
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.

Hors ligne

#4 Le 22/01/2020, à 11:18

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#5 Le 22/01/2020, à 11:22

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Oui j'ai vu, mais aucune amélioration après avoir executé les commandes de réinstallation :

sudo aptitude reinstall dbus

Même résultat pour la commande suivante :

sudo aptitude reinstall python-pkg-resources python3-pkg-resources

Hors ligne

#6 Le 22/01/2020, à 11:30

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"

Tu n'as pas deux cartes graphiques, en regardant > [INFO]Optimus / Prime driver nvidia ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#7 Le 22/01/2020, à 11:35

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Non je n'ai pas de carte graphique dans ma config ( sauf celle intégré directement dans le processeur )

Hors ligne

#8 Le 22/01/2020, à 11:38

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"

Fournis les noyaux présents :

echo; dpkg -l | grep -Ei "linux-(g|h|i|lo|mo|si|t)" | grep -v ^rc | sort -k3 | awk '{print $1,$2,$3,$4}' | column -s" " -t ; echo ; uname -mr

le sources.list :

find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

et :

snap list --all

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#9 Le 22/01/2020, à 11:42

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Merci de ta réponse,
voici les résultats des commandes :

~$ echo; dpkg -l | grep -Ei "linux-(g|h|i|lo|mo|si|t)" | grep -v ^rc | sort -k3 | awk '{print $1,$2,$3,$4}' | column -s" " -t ; echo ; uname -mr

ii  binutils-x86-64-linux-gnu              2.30-21ubuntu1~18.04.2  amd64
ii  linux-headers-4.15.0-72                4.15.0-72.81            all
ii  linux-modules-4.15.0-72-generic        4.15.0-72.81            amd64
ii  linux-modules-extra-4.15.0-72-generic  4.15.0-72.81            amd64
ii  linux-headers-4.15.0-72-generic        4.15.0-72.81            amd64
ii  linux-image-4.15.0-72-generic          4.15.0-72.81            amd64
ii  linux-generic                          4.15.0.74.76            amd64
ii  linux-signed-generic                   4.15.0.74.76            amd64
ii  linux-headers-generic                  4.15.0.74.76            amd64
ii  linux-image-generic                    4.15.0.74.76            amd64
ii  linux-headers-4.15.0-74                4.15.0-74.84            all
ii  linux-modules-4.15.0-74-generic        4.15.0-74.84            amd64
ii  linux-modules-extra-4.15.0-74-generic  4.15.0-74.84            amd64
ii  linux-headers-4.15.0-74-generic        4.15.0-74.84            amd64
ii  linux-image-4.15.0-74-generic          4.15.0-74.84            amd64

4.15.0-74-generic x86_64
~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list

     1	# deb cdrom:[Xubuntu 18.04.1 LTS _Bionic Beaver_ - Release amd64 (20180725)]/ bionic main multiverse restricted universe
     2	
     3	# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     4	# newer versions of the distribution.
     5	deb http://fr.archive.ubuntu.com/ubuntu/ bionic main restricted
     6	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic main restricted
     7	
     8	## Major bug fix updates produced after the final release of the
     9	## distribution.
    10	deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
    11	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
    12	
    13	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    14	## team. Also, please note that software in universe WILL NOT receive any
    15	## review or updates from the Ubuntu security team.
    16	deb http://fr.archive.ubuntu.com/ubuntu/ bionic universe
    17	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic universe
    18	deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates universe
    19	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic-updates universe
    20	
    21	## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    22	## team, and may not be under a free licence. Please satisfy yourself as to 
    23	## your rights to use the software. Also, please note that software in 
    24	## multiverse WILL NOT receive any review or updates from the Ubuntu
    25	## security team.
    26	deb http://fr.archive.ubuntu.com/ubuntu/ bionic multiverse
    27	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic multiverse
    28	deb http://fr.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
    29	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
    30	
    31	## N.B. software from this repository may not have been tested as
    32	## extensively as that contained in the main release, although it includes
    33	## newer versions of some applications which may provide useful features.
    34	## Also, please note that software in backports WILL NOT receive any review
    35	## or updates from the Ubuntu security team.
    36	deb http://fr.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
    37	# deb-src http://fr.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
    38	
    39	## Uncomment the following two lines to add software from Canonical's
    40	## 'partner' repository.
    41	## This software is not part of Ubuntu, but is offered by Canonical and the
    42	## respective vendors as a service to Ubuntu users.
    43	# deb http://archive.canonical.com/ubuntu bionic partner
    44	# deb-src http://archive.canonical.com/ubuntu bionic partner
    45	
    46	deb http://security.ubuntu.com/ubuntu bionic-security main restricted
    47	# deb-src http://security.ubuntu.com/ubuntu bionic-security main restricted
    48	deb http://security.ubuntu.com/ubuntu bionic-security universe
    49	# deb-src http://security.ubuntu.com/ubuntu bionic-security universe
    50	deb http://security.ubuntu.com/ubuntu bionic-security multiverse
    51	# deb-src http://security.ubuntu.com/ubuntu bionic-security multiverse
    52	deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
    53	# deb-src https://dl.winehq.org/wine-builds/ubuntu/ bionic main
    54	# deb-src https://dl.winehq.org/wine-builds/ubuntu/ bionic main
~$ snap list --all
Nom                Version                     Révision  Suivi   Éditeur      Notes
core               16-2.42.4                   8213      stable  canonical✓   core,désactivé
core               16-2.42.5                   8268      stable  canonical✓   core
core18             20191212                    1288      stable  canonical✓   base,désactivé
core18             20200113                    1650      stable  canonical✓   base
gnome-3-28-1804    3.28.0-14-g9303a49.9303a49  91        stable  canonical✓   désactivé
gnome-3-28-1804    3.28.0-16-g27c9498.27c9498  110       stable  canonical✓   -
gtk-common-themes  0.1-25-gcc83164             1353      stable  canonical✓   désactivé
gtk-common-themes  0.1-28-g1503258             1440      stable  canonical✓   -
insomnia           7.0.5                       47        stable  gschier1990  désactivé
insomnia           7.0.6                       55        stable  gschier1990  -

Hors ligne

#10 Le 22/01/2020, à 11:50

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"

Donne aussi :

dpkg -l | grep -v ^ii

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#11 Le 22/01/2020, à 11:54

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

~$ dpkg -l | grep -v ^ii
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                        Version                                                  Architecture Description
+++-==========================================-========================================================-============-===============================================================================

Hors ligne

#12 Le 22/01/2020, à 11:58

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"

Il faut d'autres aidants.

Je n'ai plus d'idée pour savoir où chercher ! sad


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#13 Le 22/01/2020, à 12:00

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Merci de ton aide en tout cas !
En espérant que quelqu'un d'autre trouve une piste roll

Hors ligne

#14 Le 22/01/2020, à 13:34

inbox

Re : Impossible de lancer "Logiciels et mises à jour"

Salut,

Comme indiqué ici, essaye de réinstaller les paquets suivants :

sudo apt reinstall apt apt-utils aptdaemon aptdaemon-data update-manager update-manager-core dbus

A+


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#15 Le 22/01/2020, à 14:15

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Bonjour Inbox,

Merci de ton aide, mais ça ne marche toujours pas.. sad sad

Pour information, j'ai également exécuté cette commande sans succès :

sudo apt-get install --reinstall dbus python-dbus python3-dbus

Dernière modification par Felltor (Le 22/01/2020, à 14:35)

Hors ligne

#16 Le 22/01/2020, à 15:12

inbox

Re : Impossible de lancer "Logiciels et mises à jour"

Donne le retour de :

dpkg -l gnome-keyring

Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#17 Le 22/01/2020, à 15:18

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Et voici :

~$ dpkg -l gnome-keyring
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                          Version             Architecture        Description
+++-============================-===================-===================-==============================================================
ii  gnome-keyring                3.28.0.2-1ubuntu1.1 amd64               GNOME keyring services (daemon and tools)

Je ne sais pas si c'est liée, mais après quelques recherches, j'obtiens sensiblement les mêmes erreurs avec ces commandes :

~$ aptd
15:15:53 AptDaemon [INFO]: Initializing daemon
Traceback (most recent call last):
  File "/usr/sbin/aptd", line 39, in <module>
    aptdaemon.core.main()
  File "/usr/lib/python3/dist-packages/aptdaemon/core.py", line 2178, in main
    daemon = AptDaemon(options, bus=bus)
  File "/usr/lib/python3/dist-packages/aptdaemon/core.py", line 1424, in __init__
    do_not_queue=True)
  File "/usr/lib/python3/dist-packages/dbus/service.py", line 131, in __new__
    retval = bus.request_name(name, name_flags)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 303, in request_name
    'su', (name, flags))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.85" is not allowed to own the service "org.debian.apt" due to security policies in the configuration file

et

sudo aptd
15:16:21 AptDaemon [INFO]: Initializing daemon
/usr/lib/python3/dist-packages/aptdaemon/worker/pkworker.py:35: PyGIWarning: PackageKitGlib was imported without specifying a version first. Use gi.require_version('PackageKitGlib', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import PackageKitGlib as pk

En espérant que ça donne une piste..

Hors ligne

#18 Le 22/01/2020, à 15:29

inbox

Re : Impossible de lancer "Logiciels et mises à jour"

Plutôt que de chercher dans le vide, il faudrait que tu expliques ce que tu as installé et/ou supprimé avant que ce problème apparaisse.

[Edit] Tu peux essayer de réinstaller toutes les dépendance de software-properties-gtk :

sudo apt reinstall dconf-gsettings-backend gir1.2-goa-1.0 gir1.2-gtk-3.0 libgtk3-perl python3 python3-aptdaemon.gtk3widgets python3-dateutil python3-distro-info python3-gi python3-requests-unixsocket python3-software-properties session-migration software-properties-common ubuntu-drivers-common

Redémarre ton PC, avant de retenter de lancer software-properties-gtk.

Dernière modification par inbox (Le 22/01/2020, à 15:39)


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#19 Le 22/01/2020, à 15:42

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Le soucis c'est que je n'ai pas fait de manipulation particulière, j'accède très rarement à la section "Logiciels et mises à jour" et donc je suis incapable de dire depuis quand, ou plutôt depuis quelle manipulation je ne peux plus ouvrir l'application..

Je reste conscient que sans plus d'informations, le problème est compliqué à identifier..

Hors ligne

#20 Le 22/01/2020, à 15:56

inbox

Re : Impossible de lancer "Logiciels et mises à jour"

J'ai édité mon message précédent.


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#21 Le 22/01/2020, à 16:00

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Après avoir réinstallé les dépendances et redémarrage, le problème se présente toujours, avec en prime à l'ouverture de la session, une pop-up "Problème logiciel détecté" sans plus d'informations..

Il existe peut-etre un moyen d'avoir plus d'informations sur les erreurs rencontrés lors du démarrage ?  roll


EDIT : Voici le retour de la commande ls -l /var/crash

$ ls -l /var/crash
total 174828
-rw-r----- 1 theo whoopsie 111191732 janv. 22 14:11 _opt_vivaldi-snapshot_vivaldi-bin.1000.crash
-rw-r----- 1 theo whoopsie  60812011 janv. 22 14:56 _opt_vivaldi_vivaldi-bin.1000.crash
-rw-r----- 1 root whoopsie     30903 janv. 22 14:58 _usr_bin_aptdcon.0.crash
-rw-r----- 1 theo whoopsie     31041 janv. 22 14:57 _usr_bin_aptdcon.1000.crash
-rw-r----- 1 root whoopsie     60300 janv. 22 10:15 _usr_bin_software-properties-gtk.0.crash
-rw-r----- 1 theo whoopsie     61585 janv. 22 09:41 _usr_bin_software-properties-gtk.1000.crash
-rw-r----- 1 theo whoopsie     65294 janv. 22 09:40 _usr_bin_update-manager.1000.crash
-rw-r----- 1 root whoopsie   6438158 janv. 22 09:41 _usr_lib_software-properties_software-properties-dbus.0.crash
-rw-r----- 1 root whoopsie    282048 janv. 22 09:40 _usr_sbin_aptd.0.crash
-rw-r----- 1 theo whoopsie     30004 janv. 22 15:15 _usr_sbin_aptd.1000.crash

Dernière modification par Felltor (Le 22/01/2020, à 16:23)

Hors ligne

#22 Le 23/01/2020, à 15:42

inbox

Re : Impossible de lancer "Logiciels et mises à jour"

On constate, que dans /var/crash, il y a plusieurs plantages dus au mises à jour des paquets.

Comme le problème semble venir de Python, je pense que tu as probablement supprimé des paquets ayant un lien avec Apt et Python. Comme tu ne semble pas savoir ce que tu as modifié à ce sujet, il ne te reste plus qu'à réinstaller ton système. A l'avenir, ne supprime jamais de paquets python sans savoir exactement ce que cela implique pour le système. Dans le doute, on ne supprime pas.


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#23 Le 23/01/2020, à 15:46

xubu1957

Re : Impossible de lancer "Logiciels et mises à jour"

Bonjour,

@aux aidants

Une mise à jour vient de sortir pour la 19.04 > ubuntuupdates.org/package/core/eoan/main/security/python-apt

Le bug > launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1860606

_ _ _

Ubuntu 19.04 ne sera plus supporté après le 23 janvier 2020

> nextinpact.com

> gizmoposts24.com

Dernière modification par xubu1957 (Le 23/01/2020, à 15:55)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#24 Le 23/01/2020, à 15:53

Felltor

Re : Impossible de lancer "Logiciels et mises à jour"

Et si je tente de réinstaller complètement python en suivant cette méthode => https://stackoverflow.com/questions/488 … talling-it

Est-ce qu'il y a un risque ? Car à part la pop-up au démarrage de la session et le fait de ne pas pouvoir accéder à l'application "Logiciels et mises à jour", ma machine fonctionne correctement, et ça m'embête de tout réinstaller juste pour ça...

En tout cas merci de ton aide ! smile

Hors ligne

#25 Le 23/01/2020, à 15:56

inbox

Re : Impossible de lancer "Logiciels et mises à jour"

Une autre possibilité est que tu as, peut être, modifié des droits (utilisation de root ou sudo inappropriés) ou la sécurité du système.

dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.85" is not allowed to own the service "org.debian.apt" due to security policies in the configuration file


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne